import pandas
import sys

filename = sys.argv[1]
print "Loading file", filename

data = pandas.read_csv(filename, sep=',')
#Column 1: Time [s]
#Column 2: Analyzer Name (irrelevant)
#Column 3 Decode Protocol Result
# * Data + ACK/NAK/Missing ACK/NAK
# * Data:1)Setup Write to [ADDR]
#        2)Setup Read to [ADDR]
#        2)DATA

#Frequency = 100KHz. 
#Clock Period=9.5uS
#Byte Time: 81-82uS
#Time from device-device: 20-35mS
#Time after last device to the next start: 500mS
#5Cycles

row_count = len(data)
prev_time = 0;

outfile = open(filename + ".out", "w")
for idx in range(row_count):
    new_time   = data['Time [s]'][idx]*1000000
    delta_time = new_time - prev_time
    prev_time  = new_time
    op         = data[' Decoded Protocol Result'][idx]
    str   
    if delta_time > 500000:
      outfile.write("\n------------NEW CYCLE---------------\n")
    if delta_time > 10000:
      outfile.write("\n")
    
    if op == 'Setup Write to [0xF0] + ACK':
      outfile.write("\nW ")
    elif op == 'Setup Read to [0xF1] + ACK':
      outfile.write("\nR ")
    else:
      outfile.write(op[0:5])

outfile.close()